org.keycloak.cluster

## Enum ClusterProvider.DCNotify

- java.lang.Object
- - java.lang.Enum<ClusterProvider.DCNotify>
  - - org.keycloak.cluster.ClusterProvider.DCNotify

- All Implemented Interfaces:
    Serializable, Comparable<ClusterProvider.DCNotify>
  Enclosing interface:
    ClusterProvider

      public static enum ClusterProvider.DCNotify
      extends Enum<ClusterProvider.DCNotify>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_BUT_LOCAL_DC` Send message to all cluster nodes in all datacenters, but NOT to this datacenter.
    `ALL_DCS` Send message to all cluster nodes in all DCs
    `LOCAL_DC_ONLY` Send message to all cluster nodes on THIS datacenter only

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClusterProvider.DCNotify` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClusterProvider.DCNotify[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_DCS

          public static final ClusterProvider.DCNotify ALL_DCS

      Send message to all cluster nodes in all DCs

    - #### LOCAL_DC_ONLY

          public static final ClusterProvider.DCNotify LOCAL_DC_ONLY

      Send message to all cluster nodes on THIS datacenter only

    - #### ALL_BUT_LOCAL_DC

          public static final ClusterProvider.DCNotify ALL_BUT_LOCAL_DC

      Send message to all cluster nodes in all datacenters, but NOT to this datacenter. Option "ignoreSender" of method `Object.notify()` will be ignored as sender is ignored anyway due it is in this datacenter

  - ### Method Detail

    - #### values

          public static ClusterProvider.DCNotify[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClusterProvider.DCNotify c : ClusterProvider.DCNotify.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClusterProvider.DCNotify valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 JBoss by Red Hat. All rights reserved.